<?php

// Load module language
function get_flash_modules_language($type = null)
{
	$dir = opendir( FLASHGAL_PATH . 'modules/');
	if ($type != null)
	{
		$path = FLASHGAL_PATH . 'modules/' . $type;
		if (is_dir($path) and !is_link($path)) 
		{
			load_language('module.lang', $path .'/');
		}
	}
	
	else
	{
	    while ($file = readdir($dir)) {
	        if ($file != '.' and $file != '..') 
			{
	            $path = FLASHGAL_PATH . 'modules/' . $file;
	            if (is_dir($path) and !is_link($path)) 
				{
					if (load_language('module.lang', $path .'/') == false) continue;
	            }
	        }
		}
    }
    closedir($dir);
}


function get_flashgal_modules()
{
	$IsVisible = 'visible';
	$dir = opendir(FLASHGAL_PATH . 'modules/');
    while ($file = readdir($dir)) {
        if ($file != '.' and $file != '..') {
            $path = FLASHGAL_PATH . 'modules/' . $file;
            if (is_dir($path) and !is_link($path) 
				and file_exists($path.'/'.$IsVisible)) 	// Possibility to mask some modules
			{
			
				$screenshot = (file_exists(FLASHGAL_PATH . 'modules/'.$file.'/screenshot.jpg') ? FLASHGAL_PATH . 'modules/'.$file.'/screenshot.jpg' : '');
                $modules[$file] = array('type' => $file,
                    'name' => l10n('module_name_' . $file),
                    'description' => sprintf(l10n('module_desc_' . $file), $screenshot));
            }
        }
    }
    closedir($dir);
	if (isset($modules))
	{
	    uasort($modules, 'name_compare');
	    return $modules;
	}
	else
		return NULL;
}

function get_html_groups_selection(
  $groups,
  $fieldname,
  $selecteds = array()
  )
{
  global $conf;
  if (count ($groups) == 0 )
  {
    return '';
  }
  $output = '<div id="'.$fieldname.'">';
  $id = 1;
  foreach ($groups as $group)
  {
    $output.=

      '<input type="checkbox" name="'.$fieldname.'[]"'
      .' id="group_'.$id++.'"'
      .' value="'.$group['id'].'"'
      ;

    if (in_array($group['id'], $selecteds))
    {
      $output.= ' checked="checked"';
    }

    $output.=
      '><label>'
      .'&nbsp;'. $group['name']
      .'</label>'
      ."\n"
      ;
  }
  $output.= '</div>';

  return $output;
}


function get_all_groups()
{
$query = '
SELECT id, name
  FROM '.GROUPS_TABLE.'
  ORDER BY name ASC
;';
$result = pwg_query($query);

$groups = array();
  while ($row = mysql_fetch_assoc($result))
  {
    array_push($groups, $row);
  }

  uasort($groups, 'name_compare');
  return $groups;
}

?>